/* BLOCK: Hero Banner Full Bleed */

.block-hero-banner-full-bleed:first-child {
    --mt: 1.5625rem !important;
}

.block-hero-banner-full-bleed:last-child {
    --mb: 1.5625rem !important;
}

.block-hero-banner-full-bleed .main-wrapper {
    border-radius: 1.5625rem;
    overflow: hidden;
    margin-inline: 1.5625rem;
    padding: 6.25rem 2.5rem;
    min-height: var(--min-height);
    display: flex;
}

.block-hero-banner-full-bleed .overlay {
    max-width: 70rem;
    margin-inline: auto;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 3.75rem;
}

.block-hero-banner-full-bleed .text-content {
    text-align: center;
}

.block-hero-banner-full-bleed .text-content > :not(:last-child) {
    margin-bottom: 3.125rem;
}

.block-hero-banner-full-bleed .text-content > :is(h1, h2, .h1, .h2):not(:last-child) {
    margin-bottom: 3.75rem;
}

.block-hero-banner-full-bleed .text-content .h7 {
    color: var(--c-tertiary);
}

.block-hero-banner-full-bleed .text-content > p {
    max-width: 57.5rem;
    margin-inline: auto;
}

.block-hero-banner-full-bleed .cta-buttons {
    justify-content: center;
}

.block-hero-banner-full-bleed .bg-wrapper {
    position: absolute;
    inset: 0;
    pointer-events: none;
    z-index: -1;
}

.block-hero-banner-full-bleed .bg-wrapper::after {
    content: '';
    position: absolute;
    inset: 0;
    background-color: var(--c-text-dark);
    opacity: 0.5;
    mix-blend-mode: multiply;
}

@media screen and (width <= 620px) {
    .block-hero-banner-full-bleed:first-child {
        --mt: .75rem !important;
    }
    .block-hero-banner-full-bleed:last-child {
        --mb: .75rem !important;
    }
    .block-hero-banner-full-bleed .main-wrapper {
        padding: 3.75rem 1.5rem;
        margin-inline: .75rem;
    }
    .block-hero-banner-full-bleed .text-content > :not(:last-child) {
        margin-bottom: 1.875rem;
    }
    .block-hero-banner-full-bleed .text-content > :is(h1, h2, .h1, .h2):not(:last-child) {
        margin-bottom: 2.1875rem;
    }
    .block-hero-banner-full-bleed .overlay {
        gap: 2.5rem;
    }
}